<?php 
add_action( 'vc_before_init', 'biz_social_badges_slider' );
function biz_social_badges_slider() {
	// vc_map check
	if( function_exists( 'vc_map' ) ){
		vc_map( array(
		  "name" => __( "Review Badges Slider", "bizreview" ),
		  "base" => "vc_social_badges_slider",
		  "class" => "",
		  "icon" => BIZREVIEW_DIR_URL."assets/biz-review-icon.png",
		  "category" => __( "Bizreview", "bizreview"),
		  "params" => array(
			array(
				"type" => "floatnumber",
				"heading" => __( "Max Reviews", "bizreview" ),
				"param_name" => "max_rows",
				"value" => '5', //Default value
				"description" => __( "Set how many review badges you want to show.", "bizreview" ),
				'group' => __( 'Review Settings', 'bizreview' ),
			),

			array(
				"type" => "floatnumber",
				"heading" => __( "Section Padding Top", "bizreview" ),
				"param_name" => "padding_top",
				"value" => '50', //Default Red color
				"description" => __( "Set section top padding", "bizreview" ),
				'group' => __( 'Review Settings', 'bizreview' ),
			),
			array(
				"type" => "floatnumber",
				"heading" => __( "Section Padding Bottom", "bizreview" ),
				"param_name" => "padding_bottom",
				"value" => '50', //Default Red color
				"description" => __( "Set section bottom padding", "bizreview" ),
				'group' => __( 'Review Settings', 'bizreview' ),
			),
			array(
				"type" => "colorpicker",
				"heading" => __( "Text Color", "bizreview" ),
				"param_name" => "color_text",
				"value" => '#000', //Default Red color
				'group' => __( 'Review Settings', 'bizreview' ),
			),
			array(
				"type" => "colorpicker",
				"heading" => __( "Background Color", "bizreview" ),
				"param_name" => "bg_color",
				"value" => '#fff', //Default Red color
				"description" => __( "Set section background color", "bizreview" ),
				'group' => __( 'Review Settings', 'bizreview' ),
			),

		  )
		) );
	} // end vc_map Check
}


?>