<?php 

/**
 * Facebook http Rest Api 
 * 
 * 
 */
// $accessToken, $PageID, $limit 
function bizreview_fb_api_config( ) {


$bizrev_options = get_option( 'bizreview_options' );


 $mainUrl = 'https://graph.facebook.com/v3.3/';
 $PageID = esc_html( $bizrev_options['pageid'] );
 $accessToken = esc_html( $bizrev_options['fbkey'] );
 $limit = '500';
 $fields = 'reviewer{id,name,picture.width(120).height(120)},created_time,rating,recommendation_type,review_text,open_graph_story{id,data}';


 $apiUrl =  $mainUrl.$PageID.'/ratings?access_token='. $accessToken.'&limit='. $limit.'&fields='.$fields;

 $getData = wp_remote_get( $apiUrl );


if( ! is_wp_error( $getData ) ) {
 	$decodedData = json_decode( $getData ['body'], true );
	return  $decodedData['data'];
} else {
	echo '<h3 class="text-center">'.esc_html__( 'API Connection Failed', 'bizreview' ).'</h3>';
}


}