<?php 
 /**
  * 
  * @package    BizReview - Business and google Place Review WordPress Plugin
  * @version    1.0
  * @author     ThemeAtelier
  * @Websites: https://themeatelier.net/
  *
  */

add_shortcode( 'bizr_yelp_review' , 'bizreview_yelp_shortcode' );
function bizreview_yelp_shortcode( $atts ) {
		$atts = shortcode_atts( array(
			'style' 	 => '1',
			'place_id' 	 => '',
			'place_info' => 'show',
			'max_rows' 	 => 5,
			'min_rating' => '1',
			'padding_top' => '50',
			'padding_bottom' => '50',
			'bg_color' 	  => '#fff',
		), $atts );

	ob_start();
	$data = bizreview_get_yelp_data();
	/****************/
	$args = array(
		'data' => $data , 
		'atts' => $atts
	);
	bizreview_yelp_review_template_init( $args );
	return ob_get_clean();
}